Update Pricing Rate
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"rate_input": 1,
"rate_output": 1,
"is_active": true
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}"
payload = {
"reason": "<string>",
"rate_input": 1,
"rate_output": 1,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', rate_input: 1, rate_output: 1, is_active: true})
};
fetch('https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'rate_input' => 1,
'rate_output' => 1,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"service_type": "<string>",
"provider": "<string>",
"model": "<string>",
"rate_input": "<string>",
"unit": "<string>",
"is_active": true,
"rate_output": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Update Pricing Rate
PATCH
/
api
/
v1
/
admin
/
pricing
/
rates
/
{rate_id}
Update Pricing Rate
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"rate_input": 1,
"rate_output": 1,
"is_active": true
}
'import requests
url = "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}"
payload = {
"reason": "<string>",
"rate_input": 1,
"rate_output": 1,
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>', rate_input: 1, rate_output: 1, is_active: true})
};
fetch('https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reason' => '<string>',
'rate_input' => 1,
'rate_output' => 1,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}"
payload := strings.NewReader("{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/admin/pricing/rates/{rate_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"<string>\",\n \"rate_input\": 1,\n \"rate_output\": 1,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"service_type": "<string>",
"provider": "<string>",
"model": "<string>",
"rate_input": "<string>",
"unit": "<string>",
"is_active": true,
"rate_output": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Response
Successful Response
A canonical provider COGS rate row. rate_input is USD per 1M tokens/chars (llm/tts/embeddings) or per minute (stt/infra); rate_output is the LLM completion rate (null otherwise).

